Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGTextContentElement

All Superinterfaces:
  Element, EventTarget, Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGStylable, SVGTests

All Known Subinterfaces:
  SVGAltGlyphElement, SVGTextElement, SVGTextPathElement, SVGTextPositioningElement, SVGTRefElement, SVGTSpanElement

public interface SVGTextContentElement
extends SVGElement, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, EventTarget

Field Summary
`static short` | `LENGTHADJUST_SPACING`
`static short` | `LENGTHADJUST_SPACINGANDGLYPHS`
`static short` | `LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` | `getCharNumAtPosition(SVGPoint point)`
`float` | `getComputedTextLength()`
`SVGPoint` | `getEndPositionOfChar(int charnum)`
`SVGRect` | `getExtentOfChar(int charnum)`
`SVGAnimatedEnumeration` | `getLengthAdjust()`
`int` | `getNumberOfChars()`
`float` | `getRotationOfChar(int charnum)`
`SVGPoint` | `getStartPositionOfChar(int charnum)`
`float` | `getSubStringLength(int charnum, int nchars)`
`SVGAnimatedLength` | `getTextLength()`
`void` | `selectSubString(int charnum, int nchars)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Field Detail

### LENGTHADJUST_UNKNOWN

    public static final short LENGTHADJUST_UNKNOWN

### LENGTHADJUST_SPACING

    public static final short LENGTHADJUST_SPACING

### LENGTHADJUST_SPACINGANDGLYPHS

    public static final short LENGTHADJUST_SPACINGANDGLYPHS

Method Detail

### getTextLength

    public SVGAnimatedLength getTextLength()

### getLengthAdjust

    public SVGAnimatedEnumeration getLengthAdjust()

### getNumberOfChars

    public int getNumberOfChars()

### getComputedTextLength

    public float getComputedTextLength()

### getSubStringLength

    public float getSubStringLength(int charnum,
                                    int nchars)
                             throws DOMException

### getStartPositionOfChar

    public SVGPoint getStartPositionOfChar(int charnum)
                                    throws DOMException

### getEndPositionOfChar

    public SVGPoint getEndPositionOfChar(int charnum)
                                  throws DOMException

### getExtentOfChar

    public SVGRect getExtentOfChar(int charnum)
                            throws DOMException

### getRotationOfChar

    public float getRotationOfChar(int charnum)
                            throws DOMException

### getCharNumAtPosition

    public int getCharNumAtPosition(SVGPoint point)

### selectSubString

    public void selectSubString(int charnum,
                                int nchars)
                         throws DOMException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD